Search for Instagram Business/Creator user by username
curl --request GET \
--url https://api.bundle.social/api/v1/misc/instagram/tags \
--header 'x-api-key: <api-key>'import requests
url = "https://api.bundle.social/api/v1/misc/instagram/tags"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.bundle.social/api/v1/misc/instagram/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"exists": true,
"data": {
"id": "<string>",
"username": "<string>",
"followers_count": 123,
"media_count": 123,
"profile_picture_url": "<string>",
"biography": "<string>",
"name": "<string>",
"media": {
"data": [
{
"id": "<string>",
"media_type": "<string>",
"like_count": 123,
"comments_count": 123,
"timestamp": "<string>",
"caption": "<string>"
}
]
}
}
}{
"message": "<string>",
"statusCode": 123,
"issues": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"message": "<string>",
"statusCode": 123
}{
"message": "<string>",
"statusCode": 123
}{
"message": "<string>",
"statusCode": 123
}{
"message": "<string>",
"statusCode": 123
}{
"message": "<string>",
"statusCode": 123
}misc
Search for Instagram Business/Creator user by username
Checks if an Instagram user exists and returns their public profile data. Only works for Business and Creator accounts and only when Instagram is connected via Facebook Login. Returns followers_count, media_count, and profile picture if available.
GET
/
api
/
v1
/
misc
/
instagram
/
tags
Search for Instagram Business/Creator user by username
Authorizations
Query Parameters
Instagram username to search for
Minimum string length:
1Was this page helpful?
⌘I